/*
** Module   : EventType.java
** Abstract : Event type constants.
**
** Copyright (c) 2010, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --JPRM-- ----------------Description-----------------
** 001 SIY 20100629          Created initial version
** 002 SIY 20100804          Changes in imports, some refactorings.
** 003 VIG 20150401          Added MENU_DROP.
*/

package com.goldencode.p2j.ui.client.event;

/**
 * Defined event types.
 */
public interface EventType
{
   /** Action event */
   public static final int ACTION_PERFORMED   = 5;
   /** Focus gained. */
   public static final int FOCUS_GAINED       = 7;
   /** Focus lost. */
   public static final int FOCUS_LOST         = 6;
   /** Item selection state changed. */
   public static final int ITEM_STATE_CHANGED = 8;
   /** Key pressed. */
   public static final int KEY_PRESSED        = 1;
   /** Key typed. */
   public static final int KEY_TYPED          = 2;
   /** Paint request. */
   public static final int PAINT_EVENT        = 9;
   /** Scroll request. */
   public static final int SCROLL_EVENT       = 12;
   /** Sync request. */
   public static final int SYNC_EVENT         = 10;
   /** Menu drop event. */
   public static final int MENU_DROP    = 13;
}